unit subs;

                                interface

uses dos;

function keypressed : boolean;

function readkey : char;

procedure purgeKbd;

procedure anykey;

                              implementation

var
   regs : registers;

function readkey;

   begin
      with regs do
         begin
            ah := 0;
            intr($16,regs);
            readkey := char(al);
         end;
   end;

function keypressed;

   begin
      with regs do
         begin
            ah := 1;
            intr($16,regs);
            keypressed := (fzero and flags) = 0;
         end;
   end;

procedure anykey;

   begin
      regs.ah := 0;
      intr($16,regs);
   end;

procedure purgeKbd;

   begin
      while keypressed do
         anykey;
   end;

end.